/***************************************************************************
 *   Copyright (C) 2004 by Walter Roth                                     *
 *   walter@amd2600-roth                                                   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#ifndef GUIWELCOME_H
#define GUIWELCOME_H

#include "guiwelcomebase.h"

/**
*this is the welcome dialog class
*/
class GuiWelcome : public GuiWelcomeBase
{
  Q_OBJECT

public:
  
  /**
  *this is the welcome dialog constructor
  *
  *@param parent the parent dialog of this widget
  *@param name widgets title
  *@param f1 Wflags for qt-widgets - see qt api for more help
  */
  GuiWelcome(QWidget* parent = 0, const char* name = 0, WFlags fl = 0 );
  
  /**
  *this is the welcome dialog destructor
  */
  ~GuiWelcome();
  
  /**
  *not used any longer
  */
  void doLayout();
  
};

#endif

