/***************************************************************************
 *   Copyright (C) 2004 by Walter Roth                                     *
 *   walter@amd2600-roth                                                   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#include "accountjobxmlwriter.h"

#include <string>
#include <iostream>



#include <gwenhywfar/directory.h>
#include <gwenhywfar/path.h>



using namespace std;


AccountJobXMLWriter::AccountJobXMLWriter(HoBIT* hobit, AqMoneyAPI* api, const char *dirpath)
{
	string dp = dirpath;
	cout << dirpath << endl;

	//_directorypath = dirpath + "/accountjobs";
	//_uri = dirpath + "/accountjobs.xml";
	_api = api;
	_hobit = hobit;
	
	if(GWEN_Directory_GetPath("accountjobs",GWEN_PATH_FLAGS_PATHMUSTEXIST))
		GWEN_Directory_Create(_directorypath);
}


AccountJobXMLWriter::~AccountJobXMLWriter()
{
	

}




/*!
    \fn AccountJobXMLWriter::writeJobGetDatedTransfers(int country, const string &bankId, const string &accountId, Date fromdate, Date todate)
 */
HobitError AccountJobXMLWriter::writeJobGetDatedTransfers(	int country, 
															const string &bankId, 
															const string &accountId, 
															Date fromdate, 
															Date todate)
{
    /// @todo implement me
}


/*!
    \fn AccountJobXMLWriter::writeJobGetBalance()
 */
HobitError AccountJobXMLWriter::writeJobGetBalance()
{
    /// @todo implement me
}


/*!
    \fn AccountJobXMLWriter::writeJobGetStandingOrders(int country, const string &bankId, const string &accoundId)
 */
HobitError AccountJobXMLWriter::writeJobGetStandingOrders(	int country, 
															const string &bankId, 
															const string &accoundId)
{
    /// @todo implement me
}


/*!
    \fn AccountJobXMLWriter::writeJobGetTransactions(Date fdate, Date tdate, int country, const string &bankId, const string &accoundId)
 */
HobitError AccountJobXMLWriter::writeJobGetTransactions(Date fdate, 
														Date tdate, 
														int country, 
														const string &bankId, 
														const string &accoundId)
{
    /// @todo implement me
}


/*!
    \fn AccountJobXMLWriter::writeJobSingleTransfer(bool skipBad, int country, const string &bankCode, const string &accountId, const string &accountSubId, int otherCountry, const string &otherBankCode, const string &otherAccount, const list<string> &otherName, const list<string> &purpose, const Value &value, int textkey, int textkeyExt, const Date &date)
 */
HobitError AccountJobXMLWriter::writeJobSingleTransfer(	bool skipBad,
										int country,
										const string &bankCode,
										const string &accountId,
										const string &accountSubId,
										int otherCountry,
										const string& otherBankCode,
										const string& otherAccount,
										const list<string> &otherName,
										const list<string> &purpose,
										const  Value&  value,
										int textkey,
										const Date& date)
{
    /// @todo implement me
}


/*!
    \fn AccountJobXMLWriter::writeJobDeleteDatedTransfer()
 */
HobitError AccountJobXMLWriter::writeJobDeleteDatedTransfer(bool skipBad,
															int country,
															const string &bankCode,
															const string &accountId,
															const string &accountSubId,
															int otherCountry,
															const string& otherBankCode,
															const string& otherAccount,
															const list<string> &otherName,
															const list<string> &purpose,
															const  Value&  value,
															int textkey,
															int textkeyExt,
															const Date& date,
															const string& jobId)
{
    /// @todo implement me
}


/*!
    \fn AccountJobXMLWriter::writeJobSingleDebitNote()
 */
HobitError AccountJobXMLWriter::writeJobSingleDebitNote(bool skipBad,
														int country,
														const string &bankCode,
														const string &accountId,
														const string &accountSubId,
														int otherCountry,
														const string& otherBankCode,
														const string& otherAccount,
														const list<string> &otherName,
														const list<string> &purpose,
														const  Value&  value,
														int textkey,
														const Date& date)
{
    /// @todo implement me
}


/*!
    \fn AccountJobXMLWriter::writeJobStartStandingOrder()
 */
HobitError AccountJobXMLWriter::writeJobStartStandingOrder(	bool skipBad,
															int country,
															const string &bankCode,
															const string &accountId,
															const string &accountSubId,
															int otherCountry,
															const string& otherBankCode,
															const string& otherAccount,
															const list<string> &otherName,
															const list<string> &purpose,
															const  Value&  value,
															int textkey,
															const Date& date,
															const Date& firstdate,
															const Date& lastdate,
															const int turnus,
															bool weekly,
															int day)
{
    /// @todo implement me
}


/*!
    \fn AccountJobXMLWriter::writeJobDeleteStandingOrder()
 */
HobitError AccountJobXMLWriter::writeJobDeleteStandingOrder(bool skipBad,
															int country,
															const string& bankCode,
															const string& accountId,
															int otherCountry,
															const string& otherBankCode,
															const string& otherAccountId,
															const list<string>& otherName,
															const list<string>& purpose,
															const  Value&  value,
															int textkey,
															int textkeyExt,
															const Date& date,
															const Date& firstdate,
															const Date& lastdate,
															const string& jobId,
															int turnus,
															int day,
															bool weekly)
{
    /// @todo implement me
}
