/****************************************************************************
** Image collection for project 'hobit'.
**
** Generated from reading image files: 
**      back.xpm
**      forward.xpm
**      home.xpm
**
** Created: Sun Dec 12 13:44:42 2004
**      by: The User Interface Compiler ($Id: qmake_image_collection.cpp,v 1.1 2005/04/07 14:43:29 hbci Exp $)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include <qimage.h>
#include <qdict.h>
#include <qmime.h>
#include <qdragobject.h>

// back.xpm
static const unsigned char image_0_data[] = {
    0x00,0x00,0x01,0x00,0x78,0x9c,0x75,0xce,0x41,0x0a,0x00,0x20,0x0c,0x03,
    0xc1,0x34,0xe6,0xff,0x6f,0x56,0x69,0x04,0x5b,0x74,0x6f,0x93,0x22,0x28,
    0x3d,0x43,0x63,0x35,0x02,0x95,0x01,0x67,0x8e,0xc8,0x60,0x9e,0x7c,0xaf,
    0xe6,0x1a,0xee,0xf7,0x7b,0x00,0x33,0x79,0x00,0xcb,0x07,0xd8,0x2c,0x36,
    0xab,0xfb,0xd7,0x04,0x7b,0xf3,0x03,0x12
};

static const QRgb image_0_ctable[] = {
    0xff000000,0xffffffff,0xff808080,0xffc0c0c0,0xc6c6c6
};

// forward.xpm
static const unsigned char image_1_data[] = {
    0x00,0x00,0x01,0x00,0x78,0x9c,0x8d,0x8e,0x41,0x0e,0x00,0x30,0x04,0x04,
    0xb7,0xf8,0xff,0x9b,0xbb,0x2d,0x1a,0x9c,0x3a,0x27,0x33,0x22,0x61,0xf6,
    0x09,0xa6,0x8f,0x80,0x85,0x5c,0x38,0x2b,0x02,0x87,0x8b,0x46,0x80,0x26,
    0x1e,0x8a,0xa3,0xde,0x53,0xe5,0xb8,0x38,0x08,0x0d,0x04,0x4d,0xe9,0x4d,
    0x79,0xd5,0xdf,0x1b,0xfa,0xd8,0x8a,0x8b,0x03,0x12
};

static const QRgb image_1_ctable[] = {
    0xff000000,0xffffffff,0xff808080,0xffc0c0c0,0xc6c6c6
};

// home.xpm
static const unsigned char image_2_data[] = {
    0x00,0x00,0x01,0x00,0x78,0x9c,0xa5,0x8f,0x31,0x12,0x00,0x20,0x08,0xc3,
    0x22,0xfc,0xff,0xcf,0x72,0x55,0x01,0xcf,0x51,0x06,0x20,0xa1,0x0b,0xee,
    0x59,0xa8,0xb1,0xc7,0xa5,0xa1,0x44,0x2c,0x8c,0x61,0x46,0x72,0x60,0x13,
    0x08,0x4b,0x6c,0x3c,0x22,0x31,0x38,0x04,0xf4,0x3b,0x3c,0x79,0xb1,0x52,
    0x9d,0xfd,0x83,0xf5,0x0c,0x6b,0xf8,0x04,0xe7,0xda,0x01,0x9c
};

static const QRgb image_2_ctable[] = {
    0xff000000,0xffffffff,0xffc0c0c0,0xc6c6c6
};

static struct EmbedImage {
    int width, height, depth;
    const unsigned char *data;
    ulong compressed;
    int numColors;
    const QRgb *colorTable;
    bool alpha;
    const char *name;
} embed_image_vec[] = {
    { 16, 16, 8, (const unsigned char*)image_0_data, 64, 5, image_0_ctable, TRUE, "back.xpm" },
    { 16, 16, 8, (const unsigned char*)image_1_data, 66, 5, image_1_ctable, TRUE, "forward.xpm" },
    { 16, 16, 8, (const unsigned char*)image_2_data, 68, 4, image_2_ctable, TRUE, "home.xpm" },
    { 0, 0, 0, 0, 0, 0, 0, 0, 0 }
};

static QImage uic_findImage( const QString& name )
{
    for ( int i=0; embed_image_vec[i].data; i++ ) {
	if ( QString::fromUtf8(embed_image_vec[i].name) == name ) {
	    QByteArray baunzip;
	    baunzip = qUncompress( embed_image_vec[i].data, 
		embed_image_vec[i].compressed );
	    QImage img((uchar*)baunzip.data(),
			embed_image_vec[i].width,
			embed_image_vec[i].height,
			embed_image_vec[i].depth,
			(QRgb*)embed_image_vec[i].colorTable,
			embed_image_vec[i].numColors,
			QImage::BigEndian
		);
	    img = img.copy();
	    if ( embed_image_vec[i].alpha )
		img.setAlphaBuffer(TRUE);
	    return img;
        }
    }
    return QImage();
}

class MimeSourceFactory_hobit : public QMimeSourceFactory
{
public:
    MimeSourceFactory_hobit() {}
    ~MimeSourceFactory_hobit() {}
    const QMimeSource* data( const QString& abs_name ) const {
	const QMimeSource* d = QMimeSourceFactory::data( abs_name );
	if ( d || abs_name.isNull() ) return d;
	QImage img = uic_findImage( abs_name );
	if ( !img.isNull() )
	    ((QMimeSourceFactory*)this)->setImage( abs_name, img );
	return QMimeSourceFactory::data( abs_name );
    };
};

static QMimeSourceFactory* factory = 0;

void qInitImages_hobit()
{
    if ( !factory ) {
	factory = new MimeSourceFactory_hobit;
	QMimeSourceFactory::defaultFactory()->addFactory( factory );
    }
}

void qCleanupImages_hobit()
{
    if ( factory ) {
	QMimeSourceFactory::defaultFactory()->removeFactory( factory );
	delete factory;
	factory = 0;
    }
}

class StaticInitImages_hobit
{
public:
    StaticInitImages_hobit() { qInitImages_hobit(); }
#if defined(Q_OS_SCO) || defined(Q_OS_UNIXWARE)
    ~StaticInitImages_hobit() { }
#else
    ~StaticInitImages_hobit() { qCleanupImages_hobit(); }
#endif
};

static StaticInitImages_hobit staticImages;
